Bug 4678 - STB Velocity 3D probed as Riva 128
STB Velocity 3D probed as Riva 128
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-23 17:23 EDT by mminnick
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-23 16:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mminnick 1999-08-23 17:23:41 EDT
When I run Xconfigurator the probe finds a "Riva 128 PCI"
when what I really have is an STB Velocity 128 3D AGP.
Whatever driver Xconfigurator then picks doesn't work. I
need to go to XF86Setup and select "STB Velocity 3D".

It would be nice to fix the probe or at least let you
override the probe when you know what card you really have.
Comment 1 Bill Nottingham 1999-08-23 18:23:59 EDT
Hm... based on the card name - in the XFree86 cards database is:

'STB Velocity 3D' (a Virge card)
'STB Velocity 128' (a Riva Card)

Apparently the 128 3D is the former and not the latter.
Comment 2 mminnick 1999-08-23 19:04:59 EDT
Yes, 'STB Velocity 3D' works on this card but 'STB Velocity 128'
doesn't. My card has a 'Riva 128' chip clearly labeled on it. I also
noticed this doing a Debian installation a while back.
I guess this is a XFree86 cards database bug?
Comment 3 Preston Brown 1999-08-31 16:28:59 EDT
please show us the line describing your card from /proc/pci.
Comment 4 Preston Brown 1999-08-31 16:32:59 EDT
this doesn't make *any* sense.  If your card is labelled with a Riva
128 chip, then you have a riva-chipset card, and need to use the Riva
driver.  If it has a ViRGE chip, you need to use the Velocity 3D
driver.  We need to see /proc/pci and your /etc/X11/XF86Config the way
it is set up when it is working.
Comment 5 mminnick 1999-09-01 12:43:59 EDT
======From /proc/pci (on a working system):=======
  Bus  1, device   0, function  0:
    VGA compatible controller: NVidia/SGS Thomson Riva 128 (rev 16).
      Medium devsel.  Fast back-to-back capable.  IRQ 11.  Master
Capable.  Latency=64.  Min Gnt=3.Max Lat=1.
      Non-prefetchable 32 bit memory at 0xf5000000 [0xf5000000].
      Prefetchable 32 bit memory at 0xfc000000 [0xfc000008].

===from XF86Config (it also says Riva 128!):=========
Section "Device"
   Identifier      "Riva 128"
   VendorName      "Unknown"
   BoardName       "Unknown"
   VideoRam        4096
EndSection

Section "Device"
   Identifier      "Generic VGA"
   VendorName      "Unknown"
   BoardName       "Unknown"
   Chipset         "generic"
EndSection

Section "Screen"
   Driver          "Accel"
   Device          "Riva 128"
   Monitor         "My Monitor"
   DefaultColorDepth 16
   BlankTime       0
   SuspendTime     0
   OffTime         0
   SubSection "Display"
      Depth        8
      Modes        "1024x768"
   EndSubSection
   SubSection "Display"
      Depth        15
      Modes        "1024x768"
   EndSubSection
   SubSection "Display"
      Depth        16
      Modes        "1024x768"
      ViewPort     0 0
   EndSubSection
   SubSection "Display"
      Depth        24
      Modes        "1024x768"
   EndSubSection
   SubSection "Display"
      Depth        32
      Modes        "1024x768"
   EndSubSection
EndSection
===============
If you think I've just lost my mind, feel free to close out this bug.
But I have done this three times now, and I have to select "STB
Velocity 3D" in XF86Setup. Could this entry just be accidentally
pointing to the Riva128 driver instead of the Virge driver?
Comment 6 Preston Brown 1999-09-23 16:13:59 EDT
appears fixed in XFree86 3.3.5.

Note You need to log in before you can comment on or make changes to this bug.